### Method

# Malcontent AppFilterBuilder blocklist_content_type

since: 0.4.0

#### Declaration [src]

    void
    mct_app_filter_builder_blocklist_content_type (
      MctAppFilterBuilder* builder,
      const gchar* content_type
    )

#### Description [src]

Add `content_type` to the blocklist of content types in the filter under construction.

The `content_type` will not be added again if it’s already been added.

Note that this method doesn’t handle content subtypes. For example, if `application/xml` is added to the blocklist but `application/xspf+xml` is not, a check for whether `application/xspf+xml` is blocklisted would return false.

Available since: 0.4.0

#### Parameters

`content_type`

  Type: `const gchar*`

  A content type to blocklist.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.